edu.ucsb.nceas.metacat.scheduler

## Class ScheduledJobParamAccess

- java.lang.Object
- - edu.ucsb.nceas.metacat.shared.BaseAccess
  - - edu.ucsb.nceas.metacat.scheduler.ScheduledJobParamAccess

-     public class ScheduledJobParamAccess
      extends BaseAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledJobParamAccess()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createJobParams(java.lang.Long jobId, java.util.HashMap<java.lang.String,java.lang.String> jobParams)` Insert job parameters into the database.
    `protected void` | `deleteJobParams(java.lang.Long jobId)` Remove change a job status to deleted in the database.
    `protected java.util.Vector<ScheduledJobParamDAO>` | `getAllJobParams()` Get all job parameters
    `protected java.util.Vector<ScheduledJobParamDAO>` | `getJobParamsForJobId(java.lang.Long jobId)` Get all the job parameters for a given job id
    `protected ScheduledJobParamDAO` | `populateDAO(java.sql.ResultSet resultSet)` Populate a job parameter data object with the current row in a resultset

    - ### Methods inherited from class edu.ucsb.nceas.metacat.shared.BaseAccess

      `closeDBObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduledJobParamAccess

          public ScheduledJobParamAccess()
                                  throws AccessException

      Throws:
        `AccessException`

  - ### Method Detail

    - #### createJobParams

          protected void createJobParams(java.lang.Long jobId,
                                         java.util.HashMap<java.lang.String,java.lang.String> jobParams)
                                  throws AccessException

      Insert job parameters into the database.
      Parameters:
        `jobId` - the id of the job that these parameters belong to
        `jobParams` - a map of the job parameters
      Throws:
        `AccessException`

    - #### deleteJobParams

          protected void deleteJobParams(java.lang.Long jobId)
                                  throws AccessException

      Remove change a job status to deleted in the database.
      Parameters:
        `jobId` - the id of the job to update
      Throws:
        `AccessException`

    - #### getJobParamsForJobId

          protected java.util.Vector<ScheduledJobParamDAO> getJobParamsForJobId(java.lang.Long jobId)
                                                                         throws AccessException

      Get all the job parameters for a given job id
      Parameters:
        `jobId` - the job id whose parameters we want to return
      Returns:
        a list of the job parameter data objects
      Throws:
        `AccessException`

    - #### getAllJobParams

          protected java.util.Vector<ScheduledJobParamDAO> getAllJobParams()
                                                                    throws AccessException

      Get all job parameters
      Returns:
        a list of all job parameters in the database
      Throws:
        `AccessException`

    - #### populateDAO

          protected ScheduledJobParamDAO populateDAO(java.sql.ResultSet resultSet)
                                              throws java.sql.SQLException

      Populate a job parameter data object with the current row in a resultset
      Specified by:
        `populateDAO` in class `BaseAccess`
      Parameters:
        `resultSet` - the result set which is already pointing to the desired row.
      Returns:
        a scheduled job data parameter object
      Throws:
        `java.sql.SQLException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.